<<<<<<< HEAD
<div class="container animated fadeIn py-3">
    <form (ngSubmit)="saveRecord(myForm)" #myForm="ngForm" novalidate="" class="d-flex justify-content-center">
        <div class="row-fluid col-12 col-lg-8 col-xl-6 p-3 animated fadeIn box box-primary">
            <div class="card-form">
                <i class="fa fa-gears fa-2x text-white"></i>
            </div>
            <div class="box-header with-border">
                <h4 class="box-title">Entrada de Requerimientos</h4>
            </div>
            <div class="form-group row mt-3">
                <label class="col-sm-3 col-form-label">Cuarto</label>
                <div class="col-sm-8">
                    <kendo-dropdownlist
                        [data]="rooms"
                        [textField]="'cuarto'"
                        [valueField]="'cuarto'"
                        class="w-100"
                        name="toRoom"
                        [ngModel]="toRoom"
                        required>
                    </kendo-dropdownlist>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-3 col-form-label">Código</label>
                <div class="col-sm-8">
                    <kendo-dropdownlist
                        [data]="dsCodigos"
                        [textField]="'rdesc'"
                        [valueField]="'rreqesp'"
                        name="codigoReq"
                        [ngModel]="codigoReq"
                        class="w-100" 
                        required>
                    </kendo-dropdownlist>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-3 col-form-label">Cantidad</label>
                <div class="col-4 col-sm-3">
                    <input type="number" class="form-control form-control-lg" name="cantidad" [ngModel]="cantidad">
                </div>
                <div>
                    <button (click)="plusDays()" type="button" class="btn btn-secondary">
                        <i class="fa fa-plus"></i>
                    </button>
                    <button (click)="minusDays()" type="button" class="btn btn-secondary ml-1">
                        <i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-3 col-form-label">Notas</label>
                <div class="col-sm-9">
                    <textarea class="form-control" name="crazon" rows="4" [ngModel]="crazon" required></textarea>
                </div>
            </div>
            <div class="form-group pt-3 d-flex justify-content-end">
                <button type="submit" class="btn btn-primary btn-block py-3" [disabled]="!myForm.valid"
                        [ngClass]="{ 'btn-outline-primary': !myForm.valid }">
                    <i class="fa fa-save mr-3"></i>Guardar
                </button>
            </div>
        </div>
    </form>
</div>
=======
<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary mr-2" (click)="nuevo()">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success" (click)="guardar()" [disabled]="!ngForm.valid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
</app-page-title>

<div class="card mb-3">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="form-group col-sm-6 col-md-3 col-lg-3 col-xl-2">
          <label>No. Cuarto</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="cuarto" readonly>
            <div class="input-group-append">
              <button class="btn btn-info" (click)="openModal(modal, 'crt')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="form-group col-sm-6 col-md-3 col-lg-3 col-xl-2">
          <label>Código</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="hreqesp" readonly>
            <div class="input-group-append">
              <button class="btn btn-info" (click)="openModal(modal, 'cod')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="form-group col-sm-8 col-md-6 col-lg-4 col-xl-6">
          <label>Descripción</label>
          <input type="text" class="form-control" formControlName="hreqespNom" readonly>
        </div>
        <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
          <label>Cantidad</label>
          <input type="number" min="0" class="form-control" formControlName="hcantidad">
        </div>
        <div class="form-group col-12 col-md-8 col-lg-12">
          <label>Notas</label>
          <textarea rows="1" class="form-control" formControlName="hnespecial"><textarea></textarea>
        </div>
      </div>
    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" [resizable]="true" [navigable]="true" [sortable]="true" filterable="menu"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height:53vh;">
      <ng-container *ngIf="dataGrid.length !== 0">

        <kendo-grid-column field="cuarto" title="Cuarto" width="130">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>

        <kendo-grid-column field="hfecha" title="Fecha" width="130">
          <ng-template kendoGridFilterMenuTemplate let-filter let-column="column" let-filterService="filterService">
            <date-range-filter [field]="column.field" [filter]="filter" [filterService]="filterService">
            </date-range-filter>
          </ng-template>
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.hfecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>

        <kendo-grid-column field="hnumreq" title="# Req." width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hreqesp" title="Código" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="htcargo" title="Tipo" width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hcantidad" title="Cant." width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hmonto" title="Monto" width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hmon" title="Mon." width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>

        <kendo-grid-column field="hfecreg" title="Fec. Regreso" width="150">
          <ng-template kendoGridFilterMenuTemplate let-filter let-column="column" let-filterService="filterService">
            <date-range-filter [field]="column.field" [filter]="filter" [filterService]="filterService">
            </date-range-filter>
          </ng-template>
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.hfecreg | date: formatKendo }}</ng-template>
        </kendo-grid-column>

        <kendo-grid-column field="hentregado" title="E.A." width="120">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hnterm" title="Notas Terminado" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hnenter" title="Notas Enterado" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="hnini" title="Notas Inicio" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>

      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>

  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <div class="modal-title">{{ modalTitle }}</div>
    <button class="close" aria-label="Close" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-ncuarto [simple]="true" (room)="getDataModal($event, 'crt'); c();" *ngIf="modalType == 'crt'">
    </app-help-ncuarto>
    <app-help-requerimientos (requerimiento)="getDataModal($event, 'cod'); c();" *ngIf="modalType == 'cod'">
    </app-help-requerimientos>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">Cerrar</button>
  </div>
</ng-template>
>>>>>>> dev-alberto
